Name:           passwordmanager
Version:        4.1.6
Release:        1%{?dist}
Summary:        A simple password manager with Qt 5 GUI
License:        GPL-2.0-or-later
URL:            https://github.com/Martchus/%{name}
Source:         https://github.com/Martchus/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake >= 3.9
BuildRequires:  passwordfile-devel
BuildRequires:  openssl-devel
BuildRequires:  qt5-qtbase-devel >= 5.6.0
BuildRequires:  qt5-qttools-devel >= 5.6.0
BuildRequires:  qtutilities-devel

%description
A simple password manager with Qt 5 GUI using AES-256-CBC encryption via OpenSSL.

%prep
%setup -q -n %{name}-%{version}

%build
%define __builder ninja
%cmake \
  -DQUICK_GUI:BOOL=NO \
  -DBUILD_SHARED_LIBS:BOOL=ON \
  -DBUILTIN_TRANSLATIONS:BOOL=ON
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/scalable
%dir %{_datadir}/icons/hicolor/scalable/apps
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/bash-completion

%changelog
* Thu Dec  3 2020 Marius Kittler <marius.kittler@suse.com>
- Update to 4.1.6
